/**
 * Adds An AdaptativeToneMapping effect
 *
 *
 */
import { TypedPostProcessNode, TypedPostNodeContext } from './_Base';
import { AdaptiveToneMappingPass } from '../../../modules/three/examples/jsm/postprocessing/AdaptiveToneMappingPass';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class AdaptiveToneMappingPostParamsConfig extends NodeParamsConfig {
    adaptive: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BOOLEAN>;
    averageLuminance: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
    midGrey: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
    maxLuminance: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
    adaptiveRange: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
}
export declare class AdaptiveToneMappingPostNode extends TypedPostProcessNode<AdaptiveToneMappingPass, AdaptiveToneMappingPostParamsConfig> {
    params_config: AdaptiveToneMappingPostParamsConfig;
    static type(): string;
    protected _create_pass(context: TypedPostNodeContext): AdaptiveToneMappingPass;
    update_pass(pass: AdaptiveToneMappingPass): void;
}
export {};
